Loading...
Searching...
No Matches
pcl::Boundary Struct Reference
Module common

A point structure representing a description of whether a point is lying on a surface boundary or not. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | Boundary (std::uint8_t _boundary=0)

## Public Attributes

std::uint8_t | boundary_point = 0

## Friends

std::ostream & | operator<< (std::ostream &os, const Boundary &p)

## Detailed Description

A point structure representing a description of whether a point is lying on a surface boundary or not.

Definition at line 1138 of file point_types.hpp.

## Constructor & Destructor Documentation

## Boundary()

pcl::Boundary::Boundary | ( | std::uint8_t | _boundary = 0 | ) |

inline constexpr

Definition at line 1149 of file point_types.hpp.

References boundary_point.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Boundary & | p )

friend

References Boundary().

## Member Data Documentation

## boundary_point

std::uint8_t pcl::Boundary::boundary_point = 0

Definition at line 1140 of file point_types.hpp.

Referenced by Boundary().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp